Bug 1329838 (ghc-uglymemo) - Review Request: ghc-uglymemo - A simple (but internally ugly) memoization function
Summary: Review Request: ghc-uglymemo - A simple (but internally ugly) memoization fun...
Keywords:
Status: CLOSED ERRATA
Alias: ghc-uglymemo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1202163
TreeView+ depends on / blocked
 
Reported: 2016-04-23 18:21 UTC by Ben Boeckel
Modified: 2016-10-09 02:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-29 22:53:23 UTC
petersen: fedora-review+


Attachments (Terms of Use)

Description Ben Boeckel 2016-04-23 18:21:00 UTC
Spec URL: http://benboeckel.net/packaging/ghc-uglymemo/ghc-uglymemo.spec
SRPM URL: http://benboeckel.net/packaging/ghc-uglymemo/ghc-uglymemo-0.1.0.1-1.fc25.src.rpm
Description:
A simple (but internally ugly) memoization function.

Fedora Account System Username: mathstuf

Comment 1 Jens Petersen 2016-07-29 09:20:52 UTC
404's here too

Comment 3 Jens Petersen 2016-08-25 16:04:26 UTC
Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 2 files have unknown license. Detailed
     output of licensecheck in /home/petersen/pkgreview/1329838-ghc-
     uglymemo/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

http://koji.fedoraproject.org/koji/taskinfo?taskID=15361609

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-uglymemo-0.1.0.1-1.fc26.x86_64.rpm
          ghc-uglymemo-devel-0.1.0.1-1.fc26.x86_64.rpm
          ghc-uglymemo-0.1.0.1-1.fc26.src.rpm
ghc-uglymemo.x86_64: W: spelling-error Summary(en_US) memoization -> memorization, demonetization, itemization
ghc-uglymemo.x86_64: W: spelling-error %description -l en_US memoization -> memorization, demonetization, itemization
ghc-uglymemo.x86_64: W: no-documentation
ghc-uglymemo-devel.x86_64: W: no-documentation
ghc-uglymemo.src: W: spelling-error Summary(en_US) memoization -> memorization, demonetization, itemization
ghc-uglymemo.src: W: spelling-error %description -l en_US memoization -> memorization, demonetization, itemization
ghc-uglymemo.src: W: strange-permission ghc-uglymemo.spec 640
ghc-uglymemo.src: W: strange-permission uglymemo-0.1.0.1.tar.gz 640
3 packages and 0 specfiles checked; 0 errors, 8 warnings.


Rpmlint (installed packages)
----------------------------
ghc-uglymemo.x86_64: W: spelling-error Summary(en_US) memoization -> memorization, demonetization, itemization
ghc-uglymemo.x86_64: W: spelling-error %description -l en_US memoization -> memorization, demonetization, itemization
ghc-uglymemo.x86_64: W: no-documentation
ghc-uglymemo-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.


Requires
--------
ghc-uglymemo (rpmlib, GLIBC filtered):
    libHSarray-0.5.1.0-67iodizgJQIIxYVTp4emlA-ghc7.10.3.so()(64bit)
    libHSbase-4.8.2.0-HQfYBxpPvuw8OunzQu6JGM-ghc7.10.3.so()(64bit)
    libHScontainers-0.5.6.2-2C3ZI8RgPO2LBMidXKTvIU-ghc7.10.3.so()(64bit)
    libHSdeepseq-1.4.1.1-6vMKxt5sPFR0XsbRWvvq59-ghc7.10.3.so()(64bit)
    libHSghc-prim-0.4.0.0-8TmvWUcS1U1IKHT0levwg3-ghc7.10.3.so()(64bit)
    libHSinteger-gmp-1.0.0.0-2aU3IZNMF9a7mQ0OzsZ0dS-ghc7.10.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-uglymemo-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d)
    ghc-devel(containers-0.5.6.2-e59c9b78d840fa743d4169d4bea15592)
    ghc-uglymemo(x86-64)


Provides
--------
ghc-uglymemo:
    ghc-uglymemo
    ghc-uglymemo(x86-64)
    libHSuglymemo-0.1.0.1-LUtSxhDNnQYE3xBxir0PPW-ghc7.10.3.so()(64bit)

ghc-uglymemo-devel:
    ghc-devel(uglymemo-0.1.0.1-855255db42776e8a78462113597362a2)
    ghc-uglymemo-devel
    ghc-uglymemo-devel(x86-64)
    ghc-uglymemo-static


Unversioned so-files
--------------------
ghc-uglymemo: /usr/lib64/ghc-7.10.3/uglym_LUtSxhDNnQYE3xBxir0PPW/libHSuglymemo-0.1.0.1-LUtSxhDNnQYE3xBxir0PPW-ghc7.10.3.so

Source checksums
----------------
https://hackage.haskell.org/package/uglymemo-0.1.0.1/uglymemo-0.1.0.1.tar.gz :
  CHECKSUM(SHA256) this package     : fe89ef49c0cb15867c58815b050b33f17d394d4c48a9b7240a39780a5a79b847
  CHECKSUM(SHA256) upstream package : fe89ef49c0cb15867c58815b050b33f17d394d4c48a9b7240a39780a5a79b847


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1329838
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Jens Petersen 2016-08-25 16:06:17 UTC
Package is APPROVED

Comment 5 Jens Petersen 2016-08-25 16:08:15 UTC
I would suggest shortening the Summary though:

--- ghc-uglymemo.spec~	2016-04-23 20:20:10.000000000 +0200
+++ ghc-uglymemo.spec	2016-08-25 18:06:55.547281927 +0200
@@ -5,7 +5,7 @@
 Name:           ghc-%{pkg_name}
 Version:        0.1.0.1
 Release:        1%{?dist}
-Summary:        A simple (but internally ugly) memoization function
+Summary:        A simple memoization function
 
 License:        Public Domain
 Url:            https://hackage.haskell.org/package/%{pkg_name}

Comment 6 Jens Petersen 2016-09-01 03:34:51 UTC
Ping? :)

Comment 7 Gwyn Ciesla 2016-09-01 14:27:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ghc-uglymemo

Comment 8 Fedora Update System 2016-09-05 05:09:56 UTC
ghc-uglymemo-0.1.0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-45136a52a0

Comment 9 Fedora Update System 2016-09-05 05:10:01 UTC
ghc-uglymemo-0.1.0.1-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c21cb47d70

Comment 10 Fedora Update System 2016-09-05 05:10:06 UTC
ghc-uglymemo-0.1.0.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-032d82463b

Comment 11 Fedora Update System 2016-09-05 19:22:06 UTC
ghc-uglymemo-0.1.0.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-032d82463b

Comment 12 Fedora Update System 2016-09-06 03:18:38 UTC
ghc-uglymemo-0.1.0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-45136a52a0

Comment 13 Fedora Update System 2016-09-06 03:21:24 UTC
ghc-uglymemo-0.1.0.1-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c21cb47d70

Comment 14 Fedora Update System 2016-09-29 22:53:23 UTC
ghc-uglymemo-0.1.0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-09-30 15:53:26 UTC
ghc-uglymemo-0.1.0.1-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2016-10-09 02:56:01 UTC
ghc-uglymemo-0.1.0.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.